// LogoutServlet.java  for CISC474, H07, P. Conrad, Spring 2007

package edu.udel.cisc474.pconrad.BeerAdvisor.controller;

import edu.udel.cisc474.pconrad.BeerAdvisor.model.BeerExpert;
import edu.udel.cisc474.pconrad.BeerAdvisor.model.LoginChecker;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*; // for List and Iterator


/**
 * LogoutServlet handles invalidating the session, and returning the user to
 * the login page.
 * 
 * @author    P.Conrad
 */

public class LogoutServlet extends HttpServlet {

    /** 
     * doPost is the event handler for the HTTP post method.
     */

    public void doPost(HttpServletRequest request,
		       HttpServletResponse response)
		       throws IOException, ServletException {


	// if there was already a session associated with this client,
	// get that session.  The parameter false means "don't create a new
	// one if there is one already there".
	HttpSession session = request.getSession(false);

	if (session!=null){
	    // That means there must have already been a session.
	    // So invalidate that one.  We're going to establish a new one.
	    session.invalidate();
	}


	
	 RequestDispatcher view =
	       request.getRequestDispatcher("index.jsp");
		
	 view.forward(request, response);
	    

    }

    
}

		       
